package com.ccnode.codegenerator.view.b;

package .tmp;

import com.ccnode.codegenerator.ae.p;
import com.google.common.collect.Lists;
import com.intellij.codeInsight.completion.CompletionContributor;
import com.intellij.codeInsight.completion.CompletionParameters;
import com.intellij.codeInsight.completion.CompletionResultSet;
import com.intellij.codeInsight.lookup.LookupElement;
import com.intellij.codeInsight.lookup.LookupElementBuilder;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiFile;
import com.intellij.psi.util.PsiTreeUtil;
import com.intellij.psi.xml.XmlAttribute;
import com.intellij.psi.xml.XmlAttributeValue;
import com.intellij.psi.xml.XmlTag;
import java.util.ArrayList;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000 \n\002\030\002\n\002\030\002\n\002\b\002\n\002\020\002\n\000\n\002\030\002\n\000\n\002\030\002\n\002\b\002\030\000 \t2\0020\001:\001\tB\005¢\006\002\020\002J\030\020\003\032\0020\0042\006\020\005\032\0020\0062\006\020\007\032\0020\bH\026¨\006\n"}, d2 = {"Lcom/ccnode/codegenerator/view/completion/MybatisConfigurationFileCompleteContributor;", "Lcom/intellij/codeInsight/completion/CompletionContributor;", "()V", "fillCompletionVariants", "", "parameters", "Lcom/intellij/codeInsight/completion/CompletionParameters;", "result", "Lcom/intellij/codeInsight/completion/CompletionResultSet;", "Companion", "MyBatisCodeHelper-Pro241"})
public final class l extends CompletionContributor {
  public void fillCompletionVariants(@NotNull CompletionParameters paramCompletionParameters, @NotNull CompletionResultSet paramCompletionResultSet) {
    Intrinsics.checkNotNullParameter(paramCompletionParameters, "");
    Intrinsics.checkNotNullParameter(paramCompletionResultSet, "");
    Intrinsics.checkNotNullExpressionValue(paramCompletionParameters.getPosition(), "");
    PsiElement psiElement = paramCompletionParameters.getPosition();
    XmlAttributeValue xmlAttributeValue = (XmlAttributeValue)PsiTreeUtil.getParentOfType(psiElement, XmlAttributeValue.class);
    if (xmlAttributeValue != null) {
      PsiElement psiElement1 = xmlAttributeValue.getParent();
      if (psiElement1 instanceof XmlAttribute) {
        XmlTag xmlTag = ((XmlAttribute)psiElement1).getParent();
        if (xmlTag != null && xmlTag.getName().equals("setting")) {
          PsiFile psiFile = psiElement.getContainingFile();
          if (com.ccnode.codegenerator.ae.l.a(psiFile))
            if (((XmlAttribute)psiElement1).getName().equals("name")) {
              for (String str : a)
                paramCompletionResultSet.addElement((LookupElement)LookupElementBuilder.create(str).withIcon(p.d()).withTailText("setting")); 
            } else if (((XmlAttribute)psiElement1).getName().equals("value")) {
            
            }  
        } 
      } 
    } 
    super.fillCompletionVariants(paramCompletionParameters, paramCompletionResultSet);
  }
  
  @NotNull
  public static final a a = new a(null);
  
  private static final ArrayList<String> a;
  
  static {
    String[] arrayOfString = new String[28];
    arrayOfString[0] = "configurationFactory";
    arrayOfString[1] = 
      "mapUnderscoreToCamelCase";
    arrayOfString[2] = "autoMappingUnknownColumnBehavior";
    arrayOfString[3] = "localCacheScope";
    arrayOfString[4] = "defaultStatementTimeout";
    arrayOfString[5] = "vfsImpl";
    arrayOfString[6] = "logPrefix";
    arrayOfString[7] = "callSettersOnNulls";
    arrayOfString[8] = "defaultEnumTypeHandler";
    arrayOfString[9] = "cacheEnabled";
    arrayOfString[10] = "defaultFetchSize";
    arrayOfString[11] = "safeRowBoundsEnabled";
    arrayOfString[12] = "useColumnLabel";
    arrayOfString[13] = "defaultExecutorType";
    arrayOfString[14] = "logImpl";
    arrayOfString[15] = "useGeneratedKeys";
    arrayOfString[16] = "safeResultHandlerEnabled";
    arrayOfString[17] = "useActualParamName";
    arrayOfString[18] = "jdbcTypeForNull";
    arrayOfString[19] = "defaultScriptingLanguage";
    arrayOfString[20] = "aggressiveLazyLoading";
    arrayOfString[21] = "multipleResultSetsEnabled";
    arrayOfString[22] = "defaultResultSetType";
    arrayOfString[23] = "returnInstanceForEmptyRow";
    arrayOfString[24] = "lazyLoadingEnabled";
    arrayOfString[25] = "lazyLoadTriggerMethods";
    arrayOfString[26] = "autoMappingBehavior";
    arrayOfString[27] = "proxyFactory";
    a = Lists.newArrayList(arrayOfString);
  }
}
